=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-(1\.[\d]+\.[\d]+)\.tar\.xz
