## gst-plugins-base1.0 1.20.3

=== debian/changelog ===
gst-plugins-base1.0 (1.20.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgstreamer-plugins-base1.0-dev: Drop Multi-Arch: same.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 10:07:43 +0300

gst-plugins-base1.0 (1.20.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jun 2022 09:21:35 +0300

gst-plugins-base1.0 (1.20.2-2) unstable; urgency=medium

  * debian/patches/2353.patch:
    + Fix regression in parsebin, see upstream MR for details
      https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2353

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 May 2022 11:47:16 +0300

gst-plugins-base1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:02:38 +0300
