=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-base1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -95,7 +94,6 @@
 
 Package: libgstreamer-plugins-base1.0-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -274,5 +272,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-
