## gst-plugins-base1.0 1.22.0

=== debian/changelog ===
gst-plugins-base1.0 (1.22.0-3+deb12u5) bookworm; urgency=medium

  * CVE-2025-47806
  * CVE-2025-47807
  * CVE-2025-47808

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 21 Aug 2025 19:47:14 +0200

gst-plugins-base1.0 (1.22.0-3+deb12u4) bookworm; urgency=medium

  * Non-maintainer upload.
  * id3v2: Don't try parsing extended header if not enough data is available
    (CVE-2024-47542)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 30 Dec 2024 10:02:08 +0100

gst-plugins-base1.0 (1.22.0-3+deb12u3) bookworm-security; urgency=medium

  * CVE-2024-47538 CVE-2024-47541 CVE-2024-47600 CVE-2024-47607
    CVE-2024-47615 CVE-2024-47835

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 12 Dec 2024 19:43:41 +0100

gst-plugins-base1.0 (1.22.0-3+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * exiftag: Prevent integer overflows and out of bounds reads when handling
    undefined tags (CVE-2024-4453)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 May 2024 10:07:46 +0200

gst-plugins-base1.0 (1.22.0-3+deb12u1) bookworm-security; urgency=medium

  * GST-2023-0001 / GST-2023-0002

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 29 Jun 2023 20:20:04 +0200

gst-plugins-base1.0 (1.22.0-3) unstable; urgency=medium

  * Team upload
  * Fix non-Linux build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 19:24:07 -0500

gst-plugins-base1.0 (1.22.0-2) unstable; urgency=medium

  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 11:14:28 -0500

gst-plugins-base1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum meson and glib
  * Build-Depend on libxi-dev
  * Build-Depend on gstreamer1.0-tools for tests
  * debian/rules: Set -Dauto_features=enabled
  * Update debian/gstreamer1.0-plugins-base.install
  * debian/libgstreamer-plugins-base1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 14:25:16 -0500

gst-plugins-base1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
  * Add debian/upstream/metadata
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Remove field Section on binary packages that duplicates source
  * Use correct machine-readable copyright file URI
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 11:42:09 -0500

gst-plugins-base1.0 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on dh-sequence-gir
  * debian/rules: Don't ignore build test failures on amd64

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Nov 2022 09:59:37 -0500
