=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
                pkg-config (>= 0.11.0),
-               meson (>= 0.59),
+               meson (>= 0.62),
                xvfb,
                xauth,
-               libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.20.0),
+               libglib2.0-dev (>= 2.62),
+               libgstreamer1.0-dev (>= 1.22.0),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
+               gstreamer1.0-tools,
                libegl-dev,
                libgles-dev,
                libgraphene-1.0-dev,
@@ -30,6 +31,7 @@
                libcdparanoia-dev (>= 3.10.2) [!hurd-i386],
                libvisual-0.4-dev (>= 0.4.0),
                libx11-xcb-dev,
+               libxi-dev,
                libxv-dev (>= 6.8.2.dfsg.1-3),
                libxt-dev (>= 6.8.2.dfsg.1-3),
                libasound2-dev (>= 0.9.1) [linux-any],
@@ -40,11 +42,11 @@
                wayland-protocols (>= 1.15) [linux-any],
                iso-codes,
                libgirepository1.0-dev (>= 0.9.12-4~),
-               gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                gir1.2-gstreamer-1.0
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -70,7 +72,6 @@
 Package: libgstreamer-plugins-base1.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -129,7 +130,6 @@
 Package: libgstreamer-gl1.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -149,10 +149,9 @@
 Package: gstreamer1.0-alsa
 Architecture: linux-any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -175,10 +174,9 @@
 Package: gstreamer1.0-plugins-base
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -203,10 +201,9 @@
 Package: gstreamer1.0-x
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -229,11 +226,10 @@
 Package: gstreamer1.0-gl
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0),
-         libgstreamer-gl1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0),
+         libgstreamer-gl1.0-0 (>= 1.22.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
