## gst-plugins-base1.0 1.22.1

=== debian/changelog ===
gst-plugins-base1.0 (1.22.1-1ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Heap overwrite in subtitle parsing
    - debian/patches/CVE-2023-37328-1.patch: look for the closing > of a
      tag after the opening < in gst/subparse/gstsubparse.c.
    - debian/patches/CVE-2023-37328-2.patch: skip after the end of a valid
      closing tag in gst/subparse/gstsubparse.c.
    - CVE-2023-37328
  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-2.patch: don't allow image tags with
      G_MAXUINT32 length in gst-libs/gst/tag/tags.c.
    - CVE-2023-37327

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Aug 2023 08:13:36 -0400

gst-plugins-base1.0 (1.22.1-1ubuntu1) lunar; urgency=medium

  * Cherry-pick proposed patch to fix build test failure seen with glib 2.76
    (LP: #2015928)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Apr 2023 20:07:07 -0400

gst-plugins-base1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release (LP: #2015129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 16:20:12 -0400
