## gst-plugins-base1.0 1.22.5

=== debian/changelog ===
gst-plugins-base1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 10:44:53 -0400

gst-plugins-base1.0 (1.22.4-1) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: New upstream release
    - Heap overwrite in subtitle parsing (GStreamer-SA-2023-0002, ZDI-CAN-20968)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 16:48:26 -0400

gst-plugins-base1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:40:39 -0400

gst-plugins-base1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch: applied in new release
  * debian/rules: Set all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 12:22:14 -0400

gst-plugins-base1.0 (1.22.2-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015129)
  * Cherry-pick proposed patch to fix build test failure seen with glib 2.76
    (LP: #2015928)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Apr 2023 11:37:11 -0400
