## gst-plugins-base1.0 1.22.6

=== debian/changelog ===
gst-plugins-base1.0 (1.22.6-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 May 2024 11:24:52 -0300

gst-plugins-base1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 15:26:19 -0400
