=== debian/control ===
--- 
+++ 
@@ -258,7 +258,8 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the GStreamer Plugins Base library
- This package contains introspection data for the GStreamer Plugins Base library.
+ This package contains introspection data for the GStreamer Plugins Base
+ library.
  .
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
