## gst-plugins-base1.0 1.22.8

=== debian/changelog ===
gst-plugins-base1.0 (1.22.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.8

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 16:04:58 +0100

gst-plugins-base1.0 (1.22.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.7

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Nov 2023 14:05:15 +0100
