## gst-plugins-base1.0 1.24.2

=== debian/changelog ===
gst-plugins-base1.0 (1.24.2-1ubuntu0.3) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via stack overflow in subparse plugin
    - debian/patches/CVE-2025-47806.patch: make sure that subrip time
      string is not too long before zero-padding in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47806
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47807.patch: check for valid UTF-8 before
      cleaning up lines and check for regex replace errors in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47807
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47808.patch: don't append NULL + 1 to the
      string buffer when parsing lines without text in
      gst/subparse/tmplayerparse.c.
    - CVE-2025-47808

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 09:05:16 -0400

gst-plugins-base1.0 (1.24.2-1ubuntu0.2) noble-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/202412-sec*.patch: backport upstream security fix
      commits from 1.24.10.
    - CVE-2024-47538, CVE-2024-47541, CVE-2024-47542, CVE-2024-47600,
      CVE-2024-47607, CVE-2024-47615, CVE-2024-47835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:24:56 -0500

gst-plugins-base1.0 (1.24.2-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 May 2024 11:13:45 -0300

gst-plugins-base1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 09:14:23 +0200

gst-plugins-base1.0 (1.24.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Revert "Disable libgudev Build-Depends on 32-bit for bootstrapping"

  [ Marc Leeman ]
  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 09:56:06 +0100

gst-plugins-base1.0 (1.24.0-2) unstable; urgency=medium

  * Team upload
  * Disable libgudev Build-Depends on 32-bit for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 18:20:27 -0400

gst-plugins-base1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/install: add libgstbasedebug.so and libgstdsd.so
  * d/symbols: update to 1.23.1
  * d/symbols: update to 1.23.1 (gl)
  * d/symbols: update for 1.23.2
  * d/control: update gstreamer dependencies to >= 1.24.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 11:55:10 +0100

gst-plugins-base1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 10:36:40 +0100

gst-plugins-base1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 02 Feb 2024 15:51:12 +0100
