=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
-               pkg-config (>= 0.11.0),
+               pkgconf (>= 0.11.0),
                meson (>= 0.62),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.22.0),
+               libgstreamer1.0-dev (>= 1.24.0),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
@@ -102,7 +103,7 @@
          libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
          libgstreamer-gl1.0-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
-         pkg-config,
+         pkgconf,
          libgstreamer1.0-dev (>= 1.16.2),
          libglib2.0-dev,
          liborc-0.4-dev (>= 1:0.4.24),
@@ -152,7 +153,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -177,7 +178,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -204,7 +205,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -229,8 +230,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0),
-         libgstreamer-gl1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0),
+         libgstreamer-gl1.0-0 (>= 1.24.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
