## gst-plugins-base1.0 1.24.8

=== debian/changelog ===
gst-plugins-base1.0 (1.24.8-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/202412-sec*.patch: backport upstream security fix
      commits from 1.24.10.
    - CVE-2024-47538, CVE-2024-47541, CVE-2024-47542, CVE-2024-47600,
      CVE-2024-47607, CVE-2024-47615, CVE-2024-47835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:24:56 -0500

gst-plugins-base1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 14:13:52 +0200

gst-plugins-base1.0 (1.24.7-4) unstable; urgency=medium

  * Team upload
  * Try again to fix rust-gstreamer-video test on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 21:16:21 -0400

gst-plugins-base1.0 (1.24.7-3) unstable; urgency=medium

  * Team upload
  * Apply updated patch to try to fix rust-gstreamer-video test on s390x
  * Stop ignoring build test failures on arm64 and ppc64el

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Sep 2024 08:41:28 -0400

gst-plugins-base1.0 (1.24.7-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick proposed patch to fix rust-gstreamer-video test on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Aug 2024 17:18:05 -0400

gst-plugins-base1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:21:25 +0200
